Bug 119952 - RFE: Add hook for "local" network initialization
RFE: Add hook for "local" network initialization
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Nykrýn
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-03 22:34 EST by Daniel Roesen
Modified: 2013-09-04 10:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2004-04-03 22:34:51 EST
Please add a hook to support local network initialization which
is not covered in the normal init script system (like GRE tunnel
initialisation, routing modification etc.). Currently, I add
an /etc/init.d/network.local SysV initscript (with start/stop
sequence numbers 11/89) for this purpose. It would be nice if
Fedora would provide this one, with a skeleton for sourcing the
various network configs and for start/stop/restart etc...

If this is deemed worthwhile, I'm happy to supply such a skeleton
Comment 1 Bill Nottingham 2004-04-05 15:16:22 EDT
What's wrong with ifup.local? Or are you looking for device-agnostic
Comment 2 Daniel Roesen 2004-04-05 15:59:07 EDT
Yep, the latter. It should work like normal SysV init scripts,
offering at least start/stop/restart, but might (local admin choice)
offer other parameters, and should NOT be tied to any specific
Comment 3 Matthew Miller 2005-04-26 11:28:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Fedora Admin XMLRPC Client 2013-09-04 10:49:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.